chooseColor(3)

NAME
chooseColor - pops up a dialog box for the user to select a color.

SYNOPSIS
$color = $widget->chooseColor?(-option=>value, ...)?;

DESCRIPTION
The method chooseColor is implemented as a perl wrapper on the core tk "command" tk_chooseColor, and $widget is passed as the argument to the hidden -parent option. The implementation of internal tk_chooseColor is platform specific, on Win32 it is a native dialog, and on UNIX/X it is implemented in terms of Tk::ColorEditor.

The chooseColor method pops up a dialog box for the user to select a color. The following option-value pairs are possible as command line arguments:

-initialcolor=>color
    Specifies the color to display in the color dialog when it pops up. color must be in a form acceptable to the Tk_GetColor function.

-parent=>$widget
    Makes $widget the logical parent of the color dialog. The color dialog is displayed on top of its parent window.

-title=>titleString
    Specifies a string to display as the title of the dialog box. If this option is not specified, then a default title will be displayed.

If the user selects a color, tk_chooseColor will return the name of the color in a form acceptable to Tk_GetColor. If the user cancels the operation, the command will return undef.

EXAMPLE
 $widget->configure(-fg => $parent->chooseColor(-initialcolor => 'gray',
                 -title => "Choose color"));

KEYWORDS
color selection dialog